Portlet Container 2.1

This feature provides a runtime environment for portlets. It allows to run portlet applications in a Liberty profile server environment. It supports the Portlet Specification 1.0 (JSR 168) and the Portlet Specification 2.1 (JSR 286).

Usage restriction: Use of this feature is provided as-is and is not covered by any IBM support contract.

Command Line Install

For Version 8.5.5.6 or later:
To install the feature from the command line, type:
bin/installUtility install portlet-2.1
For Version 8.5.5.5 or earlier:
To install the feature from the command line, type:
bin/featureManager install portlet-2.1 --when-file-exists=ignore

Config Instructions

To use the feature at runtime add the following to your server.xml
<featureManager>
  <feature>usr:portlet-2.1</feature>
</featureManager>

Additional Information

For more detailed installation instructions, including using Installation Manager and WebSphere Developer Tools, see Installing Liberty Repository assets in IBM Knowledge Center.